=== debian/changelog ===
mongrel2 (1.9.1-6+deb8u1) jessie; urgency=medium

  * Comment out failing test caused by an expired certificate.
    (Closes: Bug#804331)

 -- Jan Niehusmann <jan@debian.org>  Thu, 25 Feb 2016 22:56:00 +0100

mongrel2 (1.9.1-6) unstable; urgency=low

  * Update Vcs URL
  * remove runit-related files and logfiles when purging mongrel2-run
  * compile tests and examples using hardening flags

 -- Jan Niehusmann <jan@debian.org>  Mon, 28 Jul 2014 11:57:37 +0200

mongrel2 (1.9.1-5) unstable; urgency=low

  * Use glibc implementation of setcontext/getcontext.
    (Closes: Bug#754194)

 -- Jan Niehusmann <jan@debian.org>  Tue, 08 Jul 2014 21:10:07 +0200

mongrel2 (1.9.1-4) unstable; urgency=low

  * Fix build on kfreebsd. (Closes: Bug#754161)

 -- Jan Niehusmann <jan@debian.org>  Tue, 08 Jul 2014 11:41:41 +0200

mongrel2 (1.9.1-3) unstable; urgency=low

  * Fix build on big endian machines. (Closes: Bug#754156)

 -- Jan Niehusmann <jan@debian.org>  Tue, 08 Jul 2014 01:10:32 +0200

mongrel2 (1.9.1-2) unstable; urgency=low

  * Add package 'mongrel2-run' containing infrastructure to
    start mongrel2 as a server on boot, using runit

 -- Jan Niehusmann <jan@debian.org>  Mon, 16 Jun 2014 16:26:20 +0200

mongrel2 (1.9.1-1) experimental; urgency=low

  * Update to upstream release 1.9.1
  * remove binary .swf files from source tarball
  * revert certificate workaround (fixed upstream)

 -- Jan Niehusmann <jan@debian.org>  Wed, 11 Jun 2014 15:26:26 +0200

mongrel2 (1.9.0-2) experimental; urgency=low

  * Build against libzmq3 (closes: Bug#740416)
  * Set standards-version to 3.9.5 (no changes)
  * Work around built failure due to expired certificate in
    test case (https://github.com/zedshaw/mongrel2/issues/205)
    by skipping that part of the test.

 -- Jan Niehusmann <jan@debian.org>  Sat, 01 Mar 2014 23:04:27 +0100

mongrel2 (1.9.0-1) experimental; urgency=low

  * Import latest changes from upstream git (tag 'v1.9.0')

 -- Jan Niehusmann <jan@debian.org>  Fri, 14 Feb 2014 15:24:48 +0100

mongrel2 (1.9.0~rc-20131012-1) experimental; urgency=low

  * Import latest changes from upstream git ('release/1.9.0' branch)

 -- Jan Niehusmann <jan@debian.org>  Sun, 24 Nov 2013 22:42:38 +0100

mongrel2 (1.8.1-devel-20130916-1) experimental; urgency=low

  * Import latest changes from upstream git (develop branch).

 -- Jan Niehusmann <jan@debian.org>  Wed, 18 Sep 2013 12:29:20 +0200

mongrel2 (1.8.1-devel-20130603-1) experimental; urgency=low

  * Initial release (Closes: #590629)

 -- Jan Niehusmann <jan@debian.org>  Mon, 03 Jun 2013 16:30:11 +0200
