=== debian/watch ===
version=3
opts=dversionmangle=s/-devel.*\d*$// \
  http://githubredir.debian.net/github/zedshaw/mongrel2/ v(.+)\.tar\.gz
