## mongrel2 1.9.2

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,18 @@
 TEST_SRC=$(wildcard tests/*_tests.c)
 TESTS=$(patsubst %.c,%,${TEST_SRC})
 MAKEOPTS=OPTFLAGS="${NOEXTCFLAGS} ${OPTFLAGS}" OPTLIBS="${OPTLIBS}" LIBS="${LIBS}" DESTDIR="${DESTDIR}" PREFIX="${PREFIX}"
-ifdef $($(shell sh init.sh))
+
+# Prepare PolarSSL git submodule
+# 
+# - Perform src/polarssl submodule init and update, if necessary.  This is executed
+#   upon every make invocation, and must be done before the SOURCES variable, above
+#   is lazily evaluated, or none of the src/polarssl source files will be found
+
+ifdef $($(shell									\
+	if git submodule status | grep '^-'; then				\
+	    echo "PolarSSL; init and update git submodule" 1>&2;		\
+	    git submodule init && git submodule update;				\
+	fi ))
 endif
 
 all: bin/mongrel2 tests m2sh procer
@@ -25,8 +36,46 @@
 
 ${OBJECTS_NOEXT}: CFLAGS += ${NOEXTCFLAGS}
 
-src/polarssl/include/polarssl/config.h: src/polarssl_config.h
-	cp src/polarssl_config.h src/polarssl/include/polarssl/config.h
+# 
+# CFLAGS_DEFS: The $(CC) flags required to obtain C pre-processor #defines, per:
+# 
+#   http://nadeausoftware.com/articles/2011/12/c_c_tip_how_list_compiler_predefined_macros
+# 
+# It may be appropriate to copy some of these platform-specific CFLAGS_DEFS assignments into the
+# appropriate platform target at the end of this file, eg:
+# 
+#   solaris: CFLAGS_DEF=...
+#   solaris: all
+
+#CFLAGS_DEFS=-dM -E		# Portland Group PGCC
+#CFLAGS_DEFS=-xdumpmacros -E	# Oracle Solaris Studio
+#CFLAGS_DEFS=-qshowmacros -E	# IBM XL C
+CFLAGS_DEFS=-dM -E -x c 	# clang, gcc, HP C, Intel icc
+
+# Configure PolarSSL
+# 
+# - check for required src/polarssl/include/polarssl/config.h definitions
+#   and patch using version-appropriate src/polarssl_config.patch.#.#.# file:
+#   - If desired PolarSSL version is not yet supported, git checkout the
+#     new src/polarssl/ version X.Y.Z, edit its include/polarssl/config.h as
+#     required, and generate a new src/polarssl_config.patch.X.Y.Z using:
+# 
+#         git diff -- include/polarssl/config.h > ../polarssl_config.patch.X.Y.Z
+FORCE:
+src/polarssl/include/polarssl/config.h: src/polarssl/include/polarssl/version.h FORCE
+	@POLARSSL_VERSION=$$( $(CC) $(CFLAGS_DEFS) $<				\
+	    | sed -n -e 's/^.*POLARSSL_VERSION_STRING[\t ]*"\([^"]*\)".*/\1/p' ); \
+	if $(CC) $(CFLAGS_DEFS) $@ | grep -q POLARSSL_HAVEGE_C; then		\
+	    echo "PolarSSL $${POLARSSL_VERSION}; already configured";		\
+	else									\
+	    echo "PolarSSL $${POLARSSL_VERSION}; defining POLARSSL_HAVEGE_C...";\
+	    POLARSSL_PATCH=src/polarssl_config.patch.$${POLARSSL_VERSION};	\
+	    if ! patch -d src/polarssl -p 1 < $${POLARSSL_PATCH}; then		\
+		echo "*** Failed to apply $${POLARSSL_PATCH}";			\
+		exit 1;								\
+	    fi;									\
+	fi
+
 
 bin/mongrel2: build/libm2.a src/mongrel2.o
 	$(CC) $(CFLAGS) src/mongrel2.o -o $@ $< $(LIBS)
@@ -48,7 +97,8 @@
 	rm -f tests/empty.sqlite 
 	rm -f tools/lemon/lemon
 	rm -f tools/m2sh/tests/tests.log 
-	find . -name "*.gc*" -exec rm {} \;
+	find . \( -name "*.gcno" -o -name "*.gcda" \) -exec rm {} \;
+	git -C src/polarssl checkout include/polarssl/config.h
 	${MAKE} -C tools/m2sh OPTLIB=${OPTLIB} clean
 	${MAKE} -C tools/filters OPTLIB=${OPTLIB} clean
 	${MAKE} -C tests/filters OPTLIB=${OPTLIB} clean
@@ -65,6 +115,7 @@
 	rm -f run/*
 	${MAKE} -C tools/m2sh pristine
 	${MAKE} -C tools/procer pristine
+	git submodule deinit -f src/polarssl
 
 .PHONY: tests
 tests: tests/config.sqlite ${TESTS} test_filters filters config_modules
@@ -122,6 +173,8 @@
 
 valgrind:
 	VALGRIND="valgrind --log-file=/tmp/valgrind-%p.log" ${MAKE}
+strace:
+	VALGRIND="strace" ${MAKE}
 
 %.o: %.S
 	$(CC) $(CFLAGS) -c $< -o $@
