=== debian/changelog ===
mongrel2 (1.9.2-1) unstable; urgency=low

  * Update to upstream release 1.9.2
  * Update watch file (Closes: Bug#782508)
  * Build with -std=gnu89 to fix building on gcc-5 (Closes: Bug#778013)
  * Set standards-version to 3.9.6 (no changes)

 -- Jan Niehusmann <jan@debian.org>  Wed, 15 Apr 2015 00:13:23 +0200
