=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-
+CFLAGS += -std=gnu89
 
 %:
 	dh $@ --parallel
