=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mongrel2-$1\.tar\.gz/ \
  https://github.com/zedshaw/mongrel2/releases .*/v?(\d\S*)\.tar\.gz
