## mongrel2 1.10.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=-g -O2 -Wall -Wextra -Isrc -Isrc/polarssl/include -pthread -rdynamic -DNDEBUG $(OPTFLAGS) -D_FILE_OFFSET_BITS=64
+CFLAGS=-g -O2 -Wall -Wextra -Isrc -Isrc/mbedtls/include -pthread -rdynamic -DNDEBUG $(OPTFLAGS) -D_FILE_OFFSET_BITS=64
 LIBS=-lzmq -ldl -lsqlite3 $(OPTLIBS)
 PREFIX?=/usr/local
 
@@ -6,9 +6,9 @@
 
 ASM=$(wildcard src/**/*.S src/*.S)
 RAGEL_TARGETS=src/state.c src/http11/http11_parser.c
-SOURCES=$(wildcard src/polarssl/library/*.c src/**/*.c src/*.c) $(RAGEL_TARGETS)
+SOURCES=$(wildcard src/mbedtls/library/*.c src/**/*.c src/*.c) $(RAGEL_TARGETS)
 OBJECTS=$(patsubst %.c,%.o,${SOURCES}) $(patsubst %.S,%.o,${ASM})
-OBJECTS_EXTERNAL+=$(call get_objs,src/polarssl/library/*.c)
+OBJECTS_EXTERNAL+=$(call get_objs,src/mbedtls/library/*.c)
 OBJECTS_NOEXT=$(filter-out ${OBJECTS_EXTERNAL},${OBJECTS})
 LIB_SRC=$(filter-out src/mongrel2.c,${SOURCES})
 LIB_OBJ=$(filter-out src/mongrel2.o,${OBJECTS})
@@ -16,25 +16,26 @@
 TESTS=$(patsubst %.c,%,${TEST_SRC})
 MAKEOPTS=OPTFLAGS="${NOEXTCFLAGS} ${OPTFLAGS}" OPTLIBS="${OPTLIBS}" LIBS="${LIBS}" DESTDIR="${DESTDIR}" PREFIX="${PREFIX}"
 
-# Prepare PolarSSL git submodule
-# 
-# - Perform src/polarssl submodule init and update, if necessary.  This is executed
+# Prepare mbedtls git submodule
+# 
+# - Perform src/mbedtls submodule init and update, if necessary.  This is executed
 #   upon every make invocation, and must be done before the SOURCES variable, above
-#   is lazily evaluated, or none of the src/polarssl source files will be found
+#   is lazily evaluated, or none of the src/mbedtls source files will be found
 
 ifdef $($(shell									\
 	if git submodule status | grep '^-'; then				\
-	    echo "PolarSSL; init and update git submodule" 1>&2;		\
+	    echo "mbedtls; init and update git submodule" 1>&2;		\
 	    git submodule init && git submodule update;				\
 	fi ))
 endif
 
-all: bin/mongrel2 tests m2sh procer
+all: builddirs bin/mongrel2 tests m2sh procer
 
 dev: CFLAGS=-g -Wall -Isrc -Wall -Wextra $(OPTFLAGS) -D_FILE_OFFSET_BITS=64
 dev: all
 
 ${OBJECTS_NOEXT}: CFLAGS += ${NOEXTCFLAGS}
+${OBJECTS}: src/mbedtls/include/polarssl/config.h
 
 # 
 # CFLAGS_DEFS: The $(CC) flags required to obtain C pre-processor #defines, per:
@@ -52,42 +53,42 @@
 #CFLAGS_DEFS=-qshowmacros -E	# IBM XL C
 CFLAGS_DEFS=-dM -E -x c 	# clang, gcc, HP C, Intel icc
 
-# Configure PolarSSL
-# 
-# - check for required src/polarssl/include/polarssl/config.h definitions
+# Configure mbedtls
+# 
+# - check for required src/mbedtls/include/polarssl/config.h definitions
 #   and patch using version-appropriate src/polarssl_config.patch.#.#.# file:
-#   - If desired PolarSSL version is not yet supported, git checkout the
-#     new src/polarssl/ version X.Y.Z, edit its include/polarssl/config.h as
+#   - If desired mbedtls version is not yet supported, git checkout the
+#     new src/mbedtls/ version X.Y.Z, edit its include/polarssl/config.h as
 #     required, and generate a new src/polarssl_config.patch.X.Y.Z using:
 # 
 #         git diff -- include/polarssl/config.h > ../polarssl_config.patch.X.Y.Z
 FORCE:
-src/polarssl/include/polarssl/config.h: src/polarssl/include/polarssl/version.h FORCE
+src/mbedtls/include/polarssl/config.h: src/mbedtls/include/polarssl/version.h FORCE
 	@POLARSSL_VERSION=$$( $(CC) $(CFLAGS_DEFS) $<				\
 	    | sed -n -e 's/^.*POLARSSL_VERSION_STRING[\t ]*"\([^"]*\)".*/\1/p' ); \
 	if $(CC) $(CFLAGS_DEFS) $@ | grep -q POLARSSL_HAVEGE_C; then		\
-	    echo "PolarSSL $${POLARSSL_VERSION}; already configured";		\
+	    echo "mbedtls $${POLARSSL_VERSION}; already configured";		\
 	else									\
-	    echo "PolarSSL $${POLARSSL_VERSION}; defining POLARSSL_HAVEGE_C...";\
+	    echo "mbedtls $${POLARSSL_VERSION}; defining POLARSSL_HAVEGE_C...";\
 	    POLARSSL_PATCH=src/polarssl_config.patch.$${POLARSSL_VERSION};	\
-	    if ! patch -d src/polarssl -p 1 < $${POLARSSL_PATCH}; then		\
+	    if ! patch -d src/mbedtls -p 1 < $${POLARSSL_PATCH}; then		\
 		echo "*** Failed to apply $${POLARSSL_PATCH}";			\
 		exit 1;								\
 	    fi;									\
 	fi
 
+.PHONY: builddirs
+builddirs:
+	@mkdir -p build
+	@mkdir -p bin
 
 bin/mongrel2: build/libm2.a src/mongrel2.o
 	$(CC) $(CFLAGS) src/mongrel2.o -o $@ $< $(LIBS)
 
 build/libm2.a: CFLAGS += -fPIC
-build/libm2.a: build ${LIB_OBJ}
+build/libm2.a: ${LIB_OBJ}
 	ar rcs $@ ${LIB_OBJ}
 	ranlib $@
-
-build: src/polarssl/include/polarssl/config.h
-	@mkdir -p build
-	@mkdir -p bin
 
 clean:
 	rm -rf build bin lib ${OBJECTS} ${TESTS} tests/config.sqlite
@@ -98,7 +99,7 @@
 	rm -f tools/lemon/lemon
 	rm -f tools/m2sh/tests/tests.log 
 	find . \( -name "*.gcno" -o -name "*.gcda" \) -exec rm {} \;
-	git -C src/polarssl checkout include/polarssl/config.h
+	if test -e .git; then git -C src/mbedtls checkout include/polarssl/config.h; fi
 	${MAKE} -C tools/m2sh OPTLIB=${OPTLIB} clean
 	${MAKE} -C tools/filters OPTLIB=${OPTLIB} clean
 	${MAKE} -C tests/filters OPTLIB=${OPTLIB} clean
@@ -115,7 +116,7 @@
 	rm -f run/*
 	${MAKE} -C tools/m2sh pristine
 	${MAKE} -C tools/procer pristine
-	git submodule deinit -f src/polarssl
+	git submodule deinit -f src/mbedtls
 
 .PHONY: tests
 tests: tests/config.sqlite ${TESTS} test_filters filters config_modules
