=== debian/changelog ===
mongrel2 (1.10.0-2) unstable; urgency=medium

  * Use "find -perm /xxx" instead of "find -perm +xxx" in debian/rules
    (Closes: Bug#803023)
  * Move dh_installexamples to override_dh_installexamples-arch
    (Closes: Bug#806079)

 -- Jan Niehusmann <jan@debian.org>  Tue, 24 Nov 2015 17:17:48 +0100

mongrel2 (1.10.0-1) unstable; urgency=low

  * Fix build log checks warnings
  * Update debian/watch
  * Upgrade to upstream version 1.10.0
  * Revert upstream switch to mbedtls (new name of polarssl)

 -- Jan Niehusmann <jan@debian.org>  Sat, 24 Oct 2015 11:04:10 +0200
