=== debian/changelog ===
mongrel2 (1.11.0-7build1) bionic; urgency=medium

  * No-change rebuild against libmbedcrypto1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Feb 2018 08:45:31 +0000

mongrel2 (1.11.0-7) unstable; urgency=medium

  * Add -shared flag when building shared libraries. Overrides -fPIE,
    fixing build errors with older versions of dpkg-dev (eg. on ubuntu).
    Hint found at https://lists.debian.org/debian-devel/2016/05/msg00302.html

 -- Jan Niehusmann <jan@debian.org>  Thu, 02 Mar 2017 16:49:48 +0100

mongrel2 (1.11.0-6) unstable; urgency=medium

  * Cherry-pick upstream patch.
    One can send HUP signals to mongrel2 to make it reopen the log
    files. Due to a bug, after receiving two such signals, mongrel2
    stopped working. This bug is fixed by the patch.

 -- Jan Niehusmann <jan@debian.org>  Wed, 22 Feb 2017 12:14:48 +0100

mongrel2 (1.11.0-5) unstable; urgency=medium

  * Sort output of $(wildcard ...) in subdirectory Makefiles

 -- Jan Niehusmann <jan@debian.org>  Wed, 21 Dec 2016 17:54:59 +0100

mongrel2 (1.11.0-4) unstable; urgency=medium

  * Disable test_Unixy_chroot_fails on GNU/hurd

 -- Jan Niehusmann <jan@debian.org>  Wed, 21 Dec 2016 01:10:23 +0100

mongrel2 (1.11.0-3) unstable; urgency=medium

  * Sort output of $(wildcard ...) in Makefile to
    fix reproducible builds.
    (https://reproducible-builds.org/docs/stable-inputs/)
  * remove unused function Unixy_getcwd()
    uses non-portable PATH_MAX which is not available on hurd
  * provide alternative implementation of normalize_path not using
    PATH_MAX (should fix build on hurd)

 -- Jan Niehusmann <jan@debian.org>  Tue, 20 Dec 2016 21:19:07 +0100

mongrel2 (1.11.0-2) unstable; urgency=medium

  * Update Vcs-Browser URL
  * Enable hardening=+all flag
  * Set debhelper compat level to 10
  * Override source-is-missing lintian warning
  * Set Standards-Version: 3.9.8

 -- Jan Niehusmann <jan@debian.org>  Mon, 19 Dec 2016 17:12:57 +0100

mongrel2 (1.11.0-1) unstable; urgency=medium

  * Update to upstream release 1.11.0

 -- Jan Niehusmann <jan@debian.org>  Thu, 11 Feb 2016 22:43:11 +0100

mongrel2 (1.10.0-3) unstable; urgency=medium

  * Port to mbedtls 2.x (patch by Justin Karneges)
    (Closes: Bug#808063)

 -- Jan Niehusmann <jan@debian.org>  Thu, 17 Dec 2015 12:35:03 +0100
