=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mongrel2
 Section: httpd
 Priority: optional
-Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libzmq3-dev (>= 2.1), libsqlite3-dev (>= 3.0), sqlite3 (>= 3.0), libpolarssl-dev (>= 1.2.3), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
+Build-Depends: debhelper (>= 10.0.0), libzmq3-dev (>= 2.1), libsqlite3-dev (>= 3.0), sqlite3 (>= 3.0), libmbedtls-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.8
 Homepage: http://mongrel2.org/
 Vcs-Git: git://anonscm.debian.org/users/jan/mongrel2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jan/mongrel2.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/users/jan/mongrel2.git
 
 Package: mongrel2-core
 Architecture: any
