=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export DH_OPTIONS
 
 # enable hardening
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -29,7 +29,7 @@
 override_dh_auto_install:
 	$(MAKE) DESTDIR="$$(pwd)/debian/tmp" PREFIX=/usr install
 
-override_dh_installexamples:
+override_dh_installexamples-arch:
 	dh_installexamples
-	find "$$(pwd)/debian/mongrel2-core" -name "*.css" -perm +a+x -exec chmod -x "{}" \;
+	find "$$(pwd)/debian/mongrel2-core" -name "*.css" -perm /a+x -exec chmod -x "{}" \;
