=== debian/changelog ===
mongrel2 (1.12.0-1build1) disco; urgency=medium

  * No-change rebuild against libmbedtls12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Nov 2018 20:16:19 +0000

mongrel2 (1.12.0-1) unstable; urgency=medium

  * Update to upstream release 1.12.0

 -- Jan Niehusmann <jan@debian.org>  Fri, 06 Jul 2018 08:58:20 +0200

mongrel2 (1.11.0-8) unstable; urgency=medium

  * Point Vcs-* to salsa repository.
  * Fix lintian warning debian-rules-uses-unnecessary-dh-argument.
  * Fix lintian warning dep5-copyright-license-name-not-unique.

 -- Jan Niehusmann <jan@debian.org>  Fri, 11 May 2018 22:50:48 +0200
