=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 10.0.0), libzmq3-dev (>= 2.1), libsqlite3-dev (>= 3.0), sqlite3 (>= 3.0), libmbedtls-dev, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.8
 Homepage: http://mongrel2.org/
-Vcs-Git: git://anonscm.debian.org/users/jan/mongrel2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/jan/mongrel2.git
+Vcs-Git: https://salsa.debian.org/jan/mongrel2.git
+Vcs-Browser: https://salsa.debian.org/jan/mongrel2
 
 Package: mongrel2-core
 Architecture: any
